.NET Framework 4.5 should support Windows XP SP3 - by omjbe

Status : 

  By Design<br /><br />
		The product team believes this item works according to its intended design.<br /><br />
		A more detailed explanation for the resolution of this particular item may have been provided in the comments section.


96
8
Sign in
to vote
ID 730732 Comments
Status Closed Workarounds
Type Bug Repros 20
Opened 3/12/2012 1:29:39 PM
Access Restriction Public
Moderator Decision Sent to Engineering Team for consideration

Description

We need to support Windows XP SP3 because too much of our customers still run this outdated system. If the new .NET Framework 4.5 does not support Windows XP anymore we have to stick to .NET 4.0 for the next years.
 
Note: .NET Framework 4.5 Beta supports only Windows 7 and higher!
 
See: http://www.microsoft.com/download/en/details.aspx?id=28978
Sign in to post a comment.
Posted by rfcdejong on 9/13/2012 at 6:47 AM
Targeting .NET 4.0 to support Windows XP is a bug by itself. Working in visual studio 2010 targeting .NET 4.0 with .NET 4.5 installed locally fixes several problems i wasn't even aware of. Nested styles works.

Even windows 7 computers with .NET 4.0 installed have the same problem, the application runs but with the style bugs included.

Great! Now we'll be forced as developers to rollback .NET 4.5 and deinstall VS 2012.
Posted by ara_prg on 7/10/2012 at 5:41 AM
Hi

I don't know why there isn't any clear answer about this really big Bug in .Net Framework 4.5 about what is microsoft policy, there is too many forum and blogs about this Bug and so what is the answer?
i think if there isn't support for windows xp and vista in .Net 4.5 so .Net 4.5 fall into a big problem in Software Development companies because most of companies have a big range of customers that they using windows xp or vista and if there isn't any support for windows xp or vista so they can't switch to this version and ....

Now, here as a small developer from Big and fantastic world of programmers and developers, i want ask you to tell us a clear response about this problem.

with many thanks to .Net Framework team that make development world more interesting than ever
Posted by Le.louch on 7/10/2012 at 12:58 AM
Because the status of the bug is "Fixed", can be expected support XP in .Net 4.5?
Posted by W_N on 6/20/2012 at 1:54 PM
Why is this item marked as being "Fixed" when it is definitely not fixed? The .NET 4.5 RC still has the same limitation of not supporting Windows XP or Windows Server 2003. If anything, this item should be marked as "Won't Fix".

Thank you.
Posted by mycall on 3/24/2012 at 9:55 AM
If it is at all possible, please do this. Being stuck on .NET 4.0 with Windows XP is a real problem.
Posted by Microsoft on 3/23/2012 at 10:39 AM
Thanks for the report. This behavior is by design in .NET Framework 4.5 Beta. The minimum supported operating systems are Windows 7, Windows Server 2008 SP2 and Windows Server 2008 R2 SP1. Windows XP is not a supported operating system for the Beta release.
Posted by MS-Moderator10 [Feedback Moderator] on 3/13/2012 at 12:40 AM
Thanks for your feedback.

We are rerouting this issue to the appropriate group within the Visual Studio Product Team for triage and resolution. These specialized experts will follow-up with your issue.
Posted by MS-Moderator01 on 3/12/2012 at 1:49 PM
Thank you for your feedback, we are currently reviewing the issue you have submitted. If this issue is urgent, please contact support directly(http://support.microsoft.com)